AnsweredAssumed Answered

General Failed read artifact descriptor - dowbload jar - error pom - org.alfresco

Question asked by davebernard on Jan 18, 2019
Latest reply on Jan 19, 2019 by afaust

Hi!

I have a serious problem that I have been facing for about 3 days.
The pom.xml gives me errors on dependencies after making maven-> project; and I discovered that the problems I know occur with alfreco.


As I understand it, my project can not find the corresponding jar files because maven can not download them to .m2 / repository etc ...

 

So all the dependencies that have the tag "<groupId> org.alfresco </ groupId>" in the pom.xml, I get an error on that file.

 

This is my pom:

<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
   <modelVersion>4.0.0</modelVersion>
   <groupId>****</groupId>
   <artifactId>******</artifactId>
   <version>1.0</version>
<!-- <packaging>amp</packaging> -->

   <name>******l</name>

   <repositories>
      <repository>
         <id>apache</id>
         <url>https://repository.apache.org/content/groups/public/</url>
   <releases>
      <enabled>true</enabled>
      </releases>
      <snapshots>
         <enabled>true</enabled>
      </snapshots>
   </repository>
   <repository>
      <id>s</id>
      <url>https://repository.apache.org/content/repositories/snapshots/</url>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
<repository>
<id>alfresco-public</id>
<name>Alfresco Public Repository</name>
<url>http://maven.alfresco.com/nexus/content/repositories/releases</url>
<releases>
<enabled>true</enabled>
</releases>
</repository>
<repository>
<id>alfresco-public-snapshot</id>
<name>Alfresco Public Repository-sanpshots</name>
<url>https://maven.alfresco.com/nexus/content/groups/public-snapshots/</url>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
<repository>
<id>alfresco-public-2</id>
<name>Alfresco Public Repository-sanpshots</name>
<url>http://pipin.bluexml.com/nexus/content/groups/public/</url>
</repository>
</repositories>

<pluginRepositories>
<pluginRepository>
<id>ss-public</id>
<url>http://maven.alfresco.com/nexus/content/repositories/releases</url>
<releases>
<enabled>true</enabled>
</releases>
</pluginRepository>
<pluginRepository>
<id>ss-public-snap</id>
<url>https://maven.alfresco.com/nexus/content/groups/public-snapshots/</url>
<snapshots>
<enabled>true</enabled>
</snapshots>
</pluginRepository>
</pluginRepositories>

<dependencies>
<!-- Spring -->
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-beans</artifactId>
<version>3.0.5.RELEASE</version>
</dependency>
<!-- Alfresco -->
<dependency>
<groupId>org.alfresco</groupId>
<artifactId>alfresco-core</artifactId>
<version>${alfresco.ver}</version>
</dependency>
<dependency>
<groupId>org.alfresco</groupId>
<artifactId>alfresco-data-model</artifactId>
<version>${alfresco.ver}</version>
</dependency>
<dependency>
<groupId>org.alfresco</groupId>
<artifactId>alfresco-repository</artifactId>
<version>${alfresco.ver}</version>
</dependency>
<dependency>
<groupId>org.alfresco</groupId>
<artifactId>alfresco-web-client</artifactId>
<version>4.2.f</version>
</dependency>

<dependency>
<groupId>org.apache.poi</groupId>
<artifactId>poi</artifactId>
<version>3.9</version>
</dependency>
<!-- Cmis -->
<dependency>
<groupId>org.apache.chemistry.opencmis</groupId>
<artifactId>chemistry-opencmis-client-impl</artifactId>
<version>LATEST</version>
</dependency>

<dependency>
<groupId>org.alfresco.cmis.client</groupId>
<artifactId>alfresco-opencmis-extension</artifactId>
<version>1.0</version>
</dependency>
<!-- log4j -->
<dependency>
<groupId>log4j</groupId>
<artifactId>log4j</artifactId>
<version>1.2.16</version>
</dependency>
<!-- PDFBox -->
<dependency>
<groupId>org.apache.pdfbox</groupId>
<artifactId>pdfbox</artifactId>
<version>1.8.2</version>
</dependency>
<!-- <dependency> <groupId>commons-codec</groupId> <artifactId>commons-codec</artifactId>
<version>1.8</version> </dependency> -->
<dependency>
<groupId>com.googlecode.json-simple</groupId>
<artifactId>json-simple</artifactId>
<version>1.1.1</version>
</dependency>
<!-- JasperReports -->
<dependency>
<groupId>net.sf.jasperreports</groupId>
<artifactId>jasperreports</artifactId>
<version>5.2.0</version>
</dependency>
<!-- Apache Commons IO -->
<dependency>
<groupId>commons-io</groupId>
<artifactId>commons-io</artifactId>
<version>2.4</version>
</dependency>

<!--fixes -->
<dependency>
<groupId>org.alfresco</groupId>
<artifactId>alfresco-web-framework-commons</artifactId>
<version>5.0.a</version>
<classifier>classes</classifier>
</dependency>
<dependency>
<groupId>org.alfresco.maven.plugin</groupId>
<artifactId>maven-amp-plugin</artifactId>
<version>3.0.4</version>
</dependency>

</dependencies>

<build>
<resources>
<resource>
<directory>src/main/resources</directory>
<excludes>
<exclude>**</exclude>
</excludes>
</resource>
</resources>
<pluginManagement>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>3.1</version>
<configuration>
<source>${java.version}</source>
<target>${java.version}</target>
<encoding>UTF-8</encoding>
</configuration>
</plugin>

 

<plugin>
<groupId>org.alfresco.maven.plugin</groupId>
<artifactId>maven-amp-plugin</artifactId>
<version>3.0.4</version>
<extensions>true</extensions>
<configuration>
<archive>
<addMavenDescriptor>false</addMavenDescriptor>
</archive>
<mAmpJarExcludes>
lib/alfresco-**,lib/webscripts**,lib/spring-**,lib/commons-**
</mAmpJarExcludes>
<mAmpConfigDirectory>
src/main/resources/config
</mAmpConfigDirectory>
<mAmpWebDirectory>
src/main/resources/web
</mAmpWebDirectory>
</configuration>
</plugin>

</plugins>
</pluginManagement>
</build>
<properties>
<alfresco.ver>5.0.a</alfresco.ver>
<java.version>1.8</java.version>
</properties>
</project>

 

However, in particular it is these dependencies that cause me errors:

<dependency>
   <groupId>org.alfresco</groupId>
   <artifactId>alfresco-core</artifactId>
<version>${alfresco.ver}</version>
</dependency>
<dependency>
   <groupId>org.alfresco</groupId>
   <artifactId>alfresco-data-model</artifactId>
   <version>${alfresco.ver}</version>
</dependency>
<dependency>
   <groupId>org.alfresco</groupId>
   <artifactId>alfresco-repository</artifactId>
   <version>${alfresco.ver}</version>
</dependency>
<dependency>
   <groupId>org.alfresco</groupId>
   <artifactId>alfresco-web-client</artifactId>
   <version>4.2.f</version>
</dependency>

<dependency>
   <groupId>org.alfresco.cmis.client</groupId>
   <artifactId>alfresco-opencmis-extension</artifactId>
   <version>1.0</version>
</dependency>

<dependency>
   <groupId>org.alfresco</groupId>
   <artifactId>alfresco-web-framework-commons</artifactId>
   <version>5.0.a</version>
   <classifier>classes</classifier>
</dependency>
<dependency>
   <groupId>org.alfresco.maven.plugin</groupId>
   <artifactId>maven-amp-plugin</artifactId>
   <version>3.0.4</version>
</dependency>

 

For example:  Failed to read artifact descriptor for org.hibernate:hibernate:jar:3.2.6... and plus other errors of this type

 

Anyone could kindly help me?

 

thank you so much

Outcomes